﻿using System;
using System.Linq;
using Telerik.WinControls.UI;

namespace RadGridViewCustomFilterCellElementExample
{
    public class CustomFilterCellElement : GridFilterCellElement
    {

        public CustomFilterCellElement(GridViewDataColumn col, GridRowElement row)
            : base(col, row)
        {

        }
        protected override Type ThemeEffectiveType
        {
            get
            {
                return typeof(GridFilterCellElement);
            }
        }

        public override bool IsCompatible(GridViewColumn data, object context)
        {
            return base.IsCompatible(data, context) && data.Name.ToUpper() != "COLUMN 1";
        }
    }
}
